Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: [email-masked] (Janusz S. Bień)
Date: Thu, 31 Dec 2020 09:14:41 +0100

On Thu, Dec 31 2020 at  9:49 +02, Eli Zaretskii wrote:
> On December 31, 2020 8:39:03 AM GMT+02:00, [email-masked] wrote:
>> So the PUA names are to be added to ucs-names in mule-cmds.el. At
>> first
>> glance it doesn't seem difficult, as I already have them in the form
>> of 
>> uni-name.el. I will work on it after New Year.
>
> What would be the advantage of adding names for PUA codepoints?

To make it clear: I'm not adding names to PUA codepoints, I add to Emacs
the names already in use for some PUA codepoints.

> The disadvantage is clear: bloating the Emacs process memory footprint
> by some 137,000 strings of some non-descriptive form, like
> PUA-CHARACTER-nn.

What do you need PUA-CHARACTER-nn for? I never proposed anything like
this.

Moreover:

There is always price for everything.

BTW, not 137,000 but 739 for MUFI 4.0 and a little more for the current 
version.

>
> Btw, the names are not generated in mule-cmds.el, they are generated
> in unidata-gen.el.

I know that and, as I said in my previous mail, I've generated them already:

--8<---------------cut here---------------start------------->8---
             position: 4051 of 4693 (86%), column: 40
            character:  (displayed as ) (codepoint 59575, #o164267, #xe8b7)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0xE8B7
               syntax: w 	which means: word
             category: L:Left-to-right (strong)
             to input: type "C-x 8 RET e8b7"
          buffer code: #xEE #xA2 #xB7
            file code: #xEE #xA2 #xB7 (encoded by coding system utf-8-unix)
              display: by this font (glyph code)
    xft:-psbk-Junicode-normal-normal-normal-*-15-*-*-*-*-0-iso10646-1 (#x94C)

Character code properties: customize what to show
  name: LATIN SMALL LETTER LONG S WITH FLOURISH
  general-category: Co (Other, Private Use)
  decomposition: (59575) ('')
--8<---------------cut here---------------end--------------->8---

However read-char-by-name takes the names from ucs-names which I have to
update.

Regards - Janusz

-- 
             ,   
Janusz S. Bien
emeryt (emeritus)
https://sites.google.com/view/jsbien